Bug 26674 - Plasma / QT WPA3 support
Summary: Plasma / QT WPA3 support
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: validated_update
Depends on: 26634 26673
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-23 10:34 CEST by Thomas Backlund
Modified: 2020-05-31 00:23 CEST (History)
5 users (show)

See Also:
Source RPM: networkmanager-qt, plasma-applet-nm
CVE:
Status comment:


Attachments
Installed and available packages (2.05 KB, text/plain)
2020-05-27 20:15 CEST, Ulrich Beckmann
Details

Description Thomas Backlund 2020-05-23 10:34:15 CEST
This adds the bits to Plasma / QT so it should be able to connect to WPA3 networks.
This is a followup to bug 26673 (networkmanager WPA3 support) 



SRPMS:
networkmanager-qt-5.57.0-1.2.mga7.src.rpm
plasma-applet-nm-5.15.4-1.2.mga7.src.rpm



i586:
networkmanager-qt-5.57.0-1.2.mga7.i586.rpm
libkf5networkmanagerqt5-5.57.0-1.2.mga7.i586.rpm
libnetworkmanager-qt-devel-5.57.0-1.2.mga7.i586.rpm

plasma-applet-nm-5.15.4-1.2.mga7.i586.rpm
plasma-applet-nm-openvpn-5.15.4-1.2.mga7.i586.rpm
plasma-applet-nm-l2tp-5.15.4-1.2.mga7.i586.rpm
plasma-applet-nm-pptp-5.15.4-1.2.mga7.i586.rpm
plasma-applet-nm-vpnc-5.15.4-1.2.mga7.i586.rpm
plasma-applet-nm-openconnect-5.15.4-1.2.mga7.i586.rpm
plasma-applet-nm-ssh-5.15.4-1.2.mga7.i586.rpm
plasma-applet-nm-fortisslvpnui-5.15.4-1.2.mga7.i586.rpm



x86_64:
networkmanager-qt-5.57.0-1.2.mga7.x86_64.rpm
lib64kf5networkmanagerqt5-5.57.0-1.2.mga7.x86_64.rpm
lib64networkmanager-qt-devel-5.57.0-1.2.mga7.x86_64.rpm

plasma-applet-nm-5.15.4-1.2.mga7.x86_64.rpm
plasma-applet-nm-openvpn-5.15.4-1.2.mga7.x86_64.rpm
plasma-applet-nm-l2tp-5.15.4-1.2.mga7.x86_64.rpm
plasma-applet-nm-pptp-5.15.4-1.2.mga7.x86_64.rpm
plasma-applet-nm-vpnc-5.15.4-1.2.mga7.x86_64.rpm
plasma-applet-nm-openconnect-5.15.4-1.2.mga7.x86_64.rpm
plasma-applet-nm-ssh-5.15.4-1.2.mga7.x86_64.rpm
plasma-applet-nm-fortisslvpnui-5.15.4-1.2.mga7.x86_64.rpm
Comment 1 Thomas Backlund 2020-05-23 10:35:56 CEST
adding kde maintainers in cc for them to check / ack / nack this update...

Depends on: (none) => 26673
CC: (none) => kde

David GEIGER 2020-05-24 11:05:41 CEST

Depends on: (none) => 26634
CC: (none) => geiger.david68210

Comment 2 Ulrich Beckmann 2020-05-27 20:15:09 CEST
Created attachment 11663 [details]
Installed and available packages

No regression found.

Please note: Router does neither support WPA3, nor does the brazilian provider support ipv6.

see https://bugs.mageia.org/show_bug.cgi?id=26673#c3

Best regards,
Ulrich

CC: (none) => bequimao.de

Comment 3 Thomas Andrews 2020-05-31 00:23:57 CEST
Since tmb indicated in Bug 26673 that testers were to check that existing connections still worked with these packages, Ulrich's test should be sufficient.

OKing and validating. Advisory information in Comment 0.

CC: (none) => andrewsfarm, sysadmin-bugs
Whiteboard: (none) => MGA7-64-OK
Keywords: (none) => validated_update


Note You need to log in before you can comment on or make changes to this bug.